Bug 920831 - Review Request: lightsoff - GNOME lightsoff game
Review Request: lightsoff - GNOME lightsoff game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-12 17:16 EDT by Tanner Doshier
Modified: 2013-04-30 13:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-30 13:09:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kalevlember: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tanner Doshier 2013-03-12 17:16:39 EDT
Spec URL: http://doshitan.com/tmp/lightsoff/lightsoff.spec
SRPM URL: http://doshitan.com/tmp/lightsoff/lightsoff-3.7.90-1.fc19.src.rpm
Description: This is the GNOME game lightsoff

rpmlint:
lightsoff.src: W: name-repeated-in-summary C Lightsoff
lightsoff.x86_64: W: name-repeated-in-summary C Lightsoff
lightsoff.x86_64: E: incorrect-fsf-address /usr/share/doc/lightsoff-3.7.9 /COPYING
lightsoff.x86_64: W: no-manual-page-for-binary lightsoff
3 packages and 0 specfiles checked; 1 errors, 3 warnings.
Comment 1 Kalev Lember 2013-03-23 14:44:31 EDT
The package ships with a GPL COPYING file, but has no license headers in the actual source code files. Could you contact upstream and ask them to add the license headers, please?

Right now if all we have to go with is the COPYING file, it would mean that the package can be under _any_ GPL version, according to https://fedoraproject.org/wiki/Licensing:FAQ#How_do_I_figure_out_what_version_of_the_GPL.2FLGPL_my_package_is_under.3F

Would be great to have this resolved before importing the package.
Comment 2 Tanner Doshier 2013-03-25 22:10:01 EDT
(In reply to comment #1)
> The package ships with a GPL COPYING file, but has no license headers in the
> actual source code files. Could you contact upstream and ask them to add the
> license headers, please?

Filed a bug[1] for tracking. Will try to get in touch with an actual human as well.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=696600
Comment 3 Tanner Doshier 2013-04-02 18:50:57 EDT
3.8.0-1
- Update to 3.8.0
- Add high contrast icons

Spec URL: http://doshitan.com/tmp/lightsoff/lightsoff.spec
SRPM URL: http://doshitan.com/tmp/lightsoff/lightsoff-3.8.0-1.fc19.src.rpm
Comment 4 Kalev Lember 2013-04-13 20:15:04 EDT
No reply in the upstream ticket yet, but in the mean time Tanner has discovered that the About -> License dialog talks about licensing and says that lightsoff is GPLv2+.
Comment 5 Kalev Lember 2013-04-13 20:24:14 EDT
Fedora review lightsoff-3.8.0-1.fc19.src.rpm 2013-04-13

+ OK
! needs attention

rpmlint output:
$ rpmlint lightsoff \
          lightsoff-debuginfo-3.8.0-1.fc19.x86_64.rpm \
          lightsoff-3.8.0-1.fc19.src.rpm
lightsoff.x86_64: W: name-repeated-in-summary C Lightsoff
lightsoff.x86_64: W: obsolete-not-provided gnome-games-lightsoff
lightsoff.x86_64: E: incorrect-fsf-address /usr/share/doc/lightsoff-3.8.0/COPYING
lightsoff.x86_64: W: no-manual-page-for-binary lightsoff
lightsoff.src: W: name-repeated-in-summary C Lightsoff
3 packages and 0 specfiles checked; 1 errors, 4 warnings.

+ Rpmlint warnings / errors are harmless and can be ignored
+ The package is named according to Fedora packaging guidelines
+ The spec file name matches the base package name.
+ The package meets the Packaging Guidelines
+ The package is licensed with a Fedora approved license and meets the
  Licensing Guidelines.
+ The license field in the spec file matches the actual license
+ The package contains the license file (COPYING)
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm. md5sum:
  286ae447f38ed92d01b5ed448eaa90bf  lightsoff-3.8.0.tar.xz
  286ae447f38ed92d01b5ed448eaa90bf  Download/lightsoff-3.8.0.tar.xz
+ The package builds in koji
n/a ExcludeArch bugs filed
+ BuildRequires look sane
+ The spec file handles locales properly
n/a ldconfig in %post and %postun
+ Package does not bundle copies of system libraries
n/a Package isn't relocatable
+ Package owns all the directories it creates
+ No duplicate files in %files
+ Permissions are properly set
+ Consistent use of macros
+ The package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
n/a Static libraries should be in -static
n/a Library files that end in .so must go in a -devel package
n/a -devel must require the fully versioned base
+ Packages should not contain libtool .la files
+ Proper .desktop file handling
+ Doesn't own files or directories already owned by other packages
+ Filenames are valid UTF-8


Looks very nice! APPROVED

I am also going to sponsor you to the packager group, so feel free to go ahead and request the git repo next. It can take up to an hour for the permissions to sync, after that you should be able to set the fedora-cvs flag in bugzilla.

Let me know on IRC / e-mail if you have any issues or want to discuss something.
Comment 6 Tanner Doshier 2013-04-14 16:51:53 EDT
Using upstream's description blurb.

New Package SCM Request
=======================
Package Name: lightsoff
Short Description: Turn off all the lights
Owners: doshitan
Branches: f19
InitialCC:
Comment 7 Jon Ciesla 2013-04-14 16:54:00 EDT
Git done (by process-git-requests).
Comment 8 Tanner Doshier 2013-04-30 13:09:34 EDT
Forgot to close the bug. Imported and built in rawhide and f19.

Note You need to log in before you can comment on or make changes to this bug.